Package org.eclipse.zest.layouts.constraints

# Interface LayoutConstraint

All Known Implementing Classes:
  `BasicEdgeConstraints`, `BasicEntityConstraint`, `EntityPriorityConstraint`, `LabelLayoutConstraint`

@Deprecated(since="2.0", forRemoval=true) public interface LayoutConstraint
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This interface will be removed in a future release.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Deprecated.

## Method Details

### clear

@Deprecated void clear()
Deprecated.
This method clears all the fields of the layout constraints. This should not be called outside the layout package